Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(69)

Issue 2725903002: [WebUI] Add a chrome://prefs-internals page (Closed)

Created:
2 years, 5 months ago by Devlin
Modified:
2 years, 4 months ago
Reviewers:
anthonyvd, Dan Beam
CC:
chromium-reviews, stevenjb
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

[WebUI] Add a chrome://prefs-internals page Add a chrome://prefs-internals page that displays the JSON content of the user's profile preferences and local state. This information is useful in debugging when you need to know the state of a current preference. Currently, this is particularly hard on ChromeOS, where you can't just open the Preferences file in a text editor. This allows users to examine preferences in the same way across platforms easily. Add a simple page that displays this text-only information. BUG=692853 Review-Url: https://codereview.chromium.org/2725903002 Cr-Commit-Position: refs/heads/master@{#458189} Committed: https://chromium.googlesource.com/chromium/src/+/be084d2bff3da8eca87d2e68912712ebc995c56a

Patch Set 1 : . #

Patch Set 2 : Add comment #

Total comments: 8

Patch Set 3 : . #

Patch Set 4 : Dan's #

Unified diffs Side-by-side diffs Delta from patch set Stats (+134 lines, -1 line) Patch
M chrome/browser/profiles/profile_impl.cc View 1 2 2 chunks +3 lines, -0 lines 0 comments Download
M chrome/browser/ui/BUILD.gn View 1 2 1 chunk +2 lines, -0 lines 0 comments Download
A chrome/browser/ui/webui/prefs_internals_browsertest.cc View 1 2 3 1 chunk +50 lines, -0 lines 0 comments Download
A chrome/browser/ui/webui/prefs_internals_source.h View 1 1 chunk +33 lines, -0 lines 0 comments Download
A chrome/browser/ui/webui/prefs_internals_source.cc View 1 chunk +42 lines, -0 lines 0 comments Download
M chrome/common/url_constants.h View 1 2 2 chunks +2 lines, -1 line 0 comments Download
M chrome/common/url_constants.cc View 1 2 1 chunk +1 line, -0 lines 0 comments Download
M chrome/test/BUILD.gn View 1 2 1 chunk +1 line, -0 lines 0 comments Download

Messages

Total messages: 34 (24 generated)
Devlin
Getting around to this. Dan, please take a look. Also, let me know if you ...
2 years, 5 months ago (2017-03-01 17:59:23 UTC) #5
Dan Beam
lgtm https://codereview.chromium.org/2725903002/diff/40001/chrome/browser/profiles/profile_impl.cc File chrome/browser/profiles/profile_impl.cc (right): https://codereview.chromium.org/2725903002/diff/40001/chrome/browser/profiles/profile_impl.cc#newcode512 chrome/browser/profiles/profile_impl.cc:512: content::URLDataSource::Add(this, new PrefsInternalsSource(this)); On 2017/03/01 17:59:23, Devlin wrote: ...
2 years, 5 months ago (2017-03-08 18:40:59 UTC) #8
Devlin
https://codereview.chromium.org/2725903002/diff/40001/chrome/browser/profiles/profile_impl.cc File chrome/browser/profiles/profile_impl.cc (right): https://codereview.chromium.org/2725903002/diff/40001/chrome/browser/profiles/profile_impl.cc#newcode512 chrome/browser/profiles/profile_impl.cc:512: content::URLDataSource::Add(this, new PrefsInternalsSource(this)); On 2017/03/08 18:40:58, Dan Beam wrote: ...
2 years, 5 months ago (2017-03-09 01:21:49 UTC) #9
Dan Beam
https://codereview.chromium.org/2725903002/diff/40001/chrome/browser/profiles/profile_impl.cc File chrome/browser/profiles/profile_impl.cc (right): https://codereview.chromium.org/2725903002/diff/40001/chrome/browser/profiles/profile_impl.cc#newcode512 chrome/browser/profiles/profile_impl.cc:512: content::URLDataSource::Add(this, new PrefsInternalsSource(this)); On 2017/03/09 01:21:49, Devlin wrote: > ...
2 years, 5 months ago (2017-03-09 02:16:54 UTC) #10
Devlin
https://codereview.chromium.org/2725903002/diff/40001/chrome/browser/ui/webui/prefs_internals_browsertest.cc File chrome/browser/ui/webui/prefs_internals_browsertest.cc (right): https://codereview.chromium.org/2725903002/diff/40001/chrome/browser/ui/webui/prefs_internals_browsertest.cc#newcode27 chrome/browser/ui/webui/prefs_internals_browsertest.cc:27: // implementation, but we can at least assert that ...
2 years, 5 months ago (2017-03-20 19:25:31 UTC) #21
Devlin
anthonyvd@, mind taking a look at profile_impl.cc? (Feel free to recommend a better place for ...
2 years, 5 months ago (2017-03-20 19:26:08 UTC) #24
anthonyvd
profile_impl.cc lgtm :)
2 years, 5 months ago (2017-03-20 19:31:43 UTC) #25
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2725903002/100001
2 years, 5 months ago (2017-03-20 21:14:35 UTC) #30
commit-bot: I haz the power
Committed patchset #4 (id:100001) as https://chromium.googlesource.com/chromium/src/+/be084d2bff3da8eca87d2e68912712ebc995c56a
2 years, 5 months ago (2017-03-20 21:23:12 UTC) #33
gashohidul12
2 years, 4 months ago (2017-04-14 16:28:23 UTC) #34
Message was sent while issue was closed.
On 2017/03/20 21:23:12, commit-bot: I haz the power wrote:
> Committed patchset #4 (id:100001) as
>
https://chromium.googlesource.com/chromium/src/+/be084d2bff3da8eca87d2e689127...

Powered by Google App Engine
This is Rietveld 408576698